=== debian/control ===
Source: libpbc
Priority: extra
Maintainer: Paul Miller <jettero@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, libreadline-dev, flex, bison
Standards-Version: 3.7.2
Section: libs

Package: libpbc-dev
Section: libdevel
Architecture: any
Depends: libpbc0 (= ${source:Version})
Description: Pairing-Based Cryptography Library
  Pairing-based cryptography is a relatively young area of cryptography that
  revolves around a certain function with special properties.
   The PBC (Pairing-Based Cryptography) library is a free C library (released
  under the Lesser GNU Public License) built on the GMP library that performs
  the mathematical operations underlying pairing-based cryptosystem.
   The PBC library is designed to be the backbone of implementations of
  pairing-based cryptosystems, thus speed and portability are important goals.
  It provides routines such as elliptic curve generation, elliptic curve
  arithmetic and pairing computation. Thanks to the GMP library, despite being
  written in C, pairings times are reasonable.
   The API is abstract enough that the PBC library can be used even if the
  programmer possesses only an elementary understanding of pairings. There is
  no need to learn about elliptic curves or much of number theory. (The minimum
  requirement is some knowledge of cyclic groups and properties of the
  pairing.)
   This tutorial shows how to implement a pairing-based cryptosystem in a few
  lines using the PBC library.
   The PBC library can also be used to build conventional cryptosystems.

Package: libpbc0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Pairing-Based Cryptography Library
  Pairing-based cryptography is a relatively young area of cryptography that
  revolves around a certain function with special properties.
   The PBC (Pairing-Based Cryptography) library is a free C library (released
  under the Lesser GNU Public License) built on the GMP library that performs
  the mathematical operations underlying pairing-based cryptosystem.
   The PBC library is designed to be the backbone of implementations of
  pairing-based cryptosystems, thus speed and portability are important goals.
  It provides routines such as elliptic curve generation, elliptic curve
  arithmetic and pairing computation. Thanks to the GMP library, despite being
  written in C, pairings times are reasonable.
   The API is abstract enough that the PBC library can be used even if the
  programmer possesses only an elementary understanding of pairings. There is
  no need to learn about elliptic curves or much of number theory. (The minimum
  requirement is some knowledge of cyclic groups and properties of the
  pairing.)
   This tutorial shows how to implement a pairing-based cryptosystem in a few
  lines using the PBC library.
   The PBC library can also be used to build conventional cryptosystems.
